---
title: Set Default AI Style Groups for a Space
description: Set the default AI style groups for the specified space
url: https://storyblok.com/docs/api/management/ai-style-groups/spaces/set-default-ai-style-groups-space
---

# Set Default AI Style Groups for a Space

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/default_ai_style_groups
```

Set the default AI style groups for the specified space.

> [!WARNING]
> This action replaces all existing default groups with the new list.

## Path parameters

-   `:space_id` (required) (number)
    
    The ID of the Space
    

## Request body properties

-   `ai_style_group_ids` (required) (number\[\])
    
    An array of AI style group IDs set as the new defaults. Pass an empty array to remove existing default rules.
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/default_ai_style_groups" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"ai_style_group_ids\":[68844418605065,68844418605067]}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/default_ai_style_groups', {
        "ai_style_group_ids": [
          68844418605065,
          68844418605067
        ]
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["ai_style_group_ids" => [68844418605065,68844418605067]];
    
    $client->put('spaces/288868932106293/default_ai_style_groups', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/default_ai_style_groups")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"ai_style_group_ids":[68844418605065,68844418605067]})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/default_ai_style_groups");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"ai_style_group_ids\":[68844418605065,68844418605067]}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/default_ai_style_groups"
    
    querystring = {}
    
    payload = {"ai_style_group_ids":[68844418605065,68844418605067]}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"ai_style_group_ids" => [68844418605065,68844418605067]}
    
    client.put('spaces/288868932106293/default_ai_style_groups', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/default_ai_style_groups")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "ai_style_group_ids": [
            68844418605065,
            68844418605067,
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/default_ai_style_groups") {
        setBody(buildJsonObject {
            putJsonArray("ai_style_group_ids") {
                add(68844418605065)
                add(68844418605067)
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Retrieve a Single AI Style Group in a Space](/docs/api/management/ai-style-groups/spaces/retrieve-single-ai-style-group-space)
-   [Next: Update an AI Style Group in a Space](/docs/api/management/ai-style-groups/spaces/update-ai-style-group-space)
